Get Knowledge Base Usage
curl --request GET \
--url https://api.trillet.ai/v1/api/knowledgebase/{id}/usage \
--header 'x-api-key: <api-key>' \
--header 'x-workspace-id: <x-workspace-id>'import requests
url = "https://api.trillet.ai/v1/api/knowledgebase/{id}/usage"
headers = {
"x-api-key": "<api-key>",
"x-workspace-id": "<x-workspace-id>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-workspace-id': '<x-workspace-id>'}
};
fetch('https://api.trillet.ai/v1/api/knowledgebase/{id}/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pathways": [
{
"_id": "665a1b2c3d4e5f6a7b8c9d0e",
"name": "Customer Support Flow"
},
{
"_id": "665a1b2c3d4e5f6a7b8c9d0f",
"name": "Sales Inquiry Flow"
}
]
}
Get Knowledge Base Usage
Retrieve usage information for a knowledge base, including which call flows are using it.
GET
/
v1
/
api
/
knowledgebase
/
{id}
/
usage
Get Knowledge Base Usage
Headers
string
required
API key used for authenticating requests to the API.
string
required
Workspace identifier for the API.
Path Parameters
string
required
The unique identifier of the knowledge base.
Response Fields
array
{
"pathways": [
{
"_id": "665a1b2c3d4e5f6a7b8c9d0e",
"name": "Customer Support Flow"
},
{
"_id": "665a1b2c3d4e5f6a7b8c9d0f",
"name": "Sales Inquiry Flow"
}
]
}
⌘I
